BMA EHR API Document

Loading...
Searching...
No Matches
Public Member Functions | List of all members
BMA.EHR.Application.Repositories.MinIODisciplineService Class Reference

## Public Member Functions
| MinIODisciplineService (IDisciplineDbContext dbContext, IConfiguration configuration, IWebHostEnvironment hostingEnvironment)
async Task< Document > | UploadFileAsync (IFormFile file, string newFileName="")
async Task< FileDownloadResponse > | DownloadFileAsync (Guid fileId)
async Task | DeleteFileAsync (Guid fileId)
async Task< string > | ImagesPath (Guid? fileId)
async Task< string > | ImagesPathByName (string fileName)
async Task | UploadFileAsyncTemp (string fileName, string subFolder)
async Task | UploadFileAsync (string fileName, MemoryStream fileStream)
async Task | UploadFileAsync (string fileName, string subFolder)
async Task | GenerateJsonFile (string json, string path, string fileName)

## Constructor & Destructor Documentation

## ◆ MinIODisciplineService()

BMA.EHR.Application.Repositories.MinIODisciplineService.MinIODisciplineService | ( | IDisciplineDbContext | dbContext,
|  | IConfiguration | configuration,
|  | IWebHostEnvironment | hostingEnvironment
| ) |  |
| inline

## Member Function Documentation

## ◆ DeleteFileAsync()

async Task BMA.EHR.Application.Repositories.MinIODisciplineService.DeleteFileAsync | ( | Guid | fileId | ) |
| inline

## ◆ DownloadFileAsync()

async Task< FileDownloadResponse > BMA.EHR.Application.Repositories.MinIODisciplineService.DownloadFileAsync | ( | Guid | fileId | ) |
| inline

## ◆ GenerateJsonFile()

async Task BMA.EHR.Application.Repositories.MinIODisciplineService.GenerateJsonFile | ( | string | json,
|  | string | path,
|  | string | fileName
| ) |  |
| inline

## ◆ ImagesPath()

async Task< string > BMA.EHR.Application.Repositories.MinIODisciplineService.ImagesPath | ( | Guid? | fileId | ) |
| inline

## ◆ ImagesPathByName()

async Task< string > BMA.EHR.Application.Repositories.MinIODisciplineService.ImagesPathByName | ( | string | fileName | ) |
| inline

## ◆ UploadFileAsync() [1/3]

async Task< Document > BMA.EHR.Application.Repositories.MinIODisciplineService.UploadFileAsync | ( | IFormFile | file,
|  | string | newFileName = `""`
| ) |  |
| inline

## ◆ UploadFileAsync() [2/3]

async Task BMA.EHR.Application.Repositories.MinIODisciplineService.UploadFileAsync | ( | string | fileName,
|  | MemoryStream | fileStream
| ) |  |
| inline

## ◆ UploadFileAsync() [3/3]

async Task BMA.EHR.Application.Repositories.MinIODisciplineService.UploadFileAsync | ( | string | fileName,
|  | string | subFolder
| ) |  |
| inline

## ◆ UploadFileAsyncTemp()

async Task BMA.EHR.Application.Repositories.MinIODisciplineService.UploadFileAsyncTemp | ( | string | fileName,
|  | string | subFolder
| ) |  |
| inline

The documentation for this class was generated from the following file:

- BMA.EHR.Application/Repositories/MinIODisciplineService.cs